## EOfflineListener EOfflineListener — Tracks Evolution's online/offline state |

## Synopsis

    enum                EOfflineListenerState;
    struct              EOfflineListener;
    EOfflineListener *  e_offline_listener_new              (void);
    EOfflineListenerState e_offline_listener_get_state      (EOfflineListener *eol);

## Object Hierarchy

      GObject
       +----EOfflineListener

## Signals

      "changed"                                        : Run Last

## Description

An EOfflineListener basically just tracks Evolution's online/offline state and emits a "changed" signal when a state change is detected.

This class is highly Evolution-centric and for that reason has been deprecated. Use GNetworkMonitor instead.

## Details

### enum EOfflineListenerState

    typedef enum {
    	EOL_STATE_OFFLINE = 0,
    	EOL_STATE_ONLINE = 1
    } EOfflineListenerState;

### Warning

`EOfflineListenerState` is deprecated and should not be used in newly-written code.

Indicates the online/offline state of the listener.

`EOL_STATE_OFFLINE` | Evolution is in offline mode.
`EOL_STATE_ONLINE` | Evolution is in online mode.

Since 2.30

### struct EOfflineListener

    struct EOfflineListener;

### Warning

`EOfflineListener` is deprecated and should not be used in newly-written code.

Contains only private data that should be read and manipulated using the functions below.

Since 2.30

### e_offline_listener_new ()

    EOfflineListener *  e_offline_listener_new              (void);

### Warning

`e_offline_listener_new` is deprecated and should not be used in newly-written code.

Returns a new EOfflineListener.

Returns : | a new EOfflineListener

Since 2.30

### e_offline_listener_get_state ()

    EOfflineListenerState e_offline_listener_get_state      (EOfflineListener *eol);

### Warning

`e_offline_listener_get_state` is deprecated and should not be used in newly-written code.

This function now simply returns EOL_STATE_ONLINE always.

`eol` : | an EOfflineListener
Returns : | EOL_STATE_OFFLINE or EOL_STATE_ONLINE

Since 2.30

## Signal Details

### The `"changed"` signal

    void                user_function                      (EOfflineListener *listener,
                                                            gpointer          user_data)      : Run Last

Emitted when Evolution's online/offline state changes.

`listener` : | the EOfflineListener that received the signal
`user_data` : | user data set when the signal handler was connected.